(3)

NAME
boost::numeric::functional::promote<To,_From,_std_vector_tag,_std_vector_tag>

SYNOPSIS

// In header: <boost/accumulators/numeric/functional/vector.hpp>
template<typename To, typename From>
struct promote<To, From, std_vector_tag, std_vector_tag> : public std::unary_function< From, To > {
  // public member functions
  To operator()(From &) const;
};

DESCRIPTION

  promote public member functions

    1.

    To operator()(From & arr) const;